Subject: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Sep 2021 14:31:41 +0300

> Date: Sun, 12 Sep 2021 21:26:18 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked], [email-masked]
> 
> > Even then, some people will frown on 20% slowdown of the startup.
> 
> It is not a slowdown of the startup, it is a slowdown of setq

Init files use a lot of setq's, at least mine do.

> which becomes visible for the user when say 100 million setq's are
> executed.

Tell that to those who complain when startup takes more than 100 msec.

> Anyway, given your remark, I improved the patch.  With this optimized 
> version, there is no noticeable difference for variables without a plist 
> (~40 nanoseconds for each call to setq, with and without the patch), and a 
> small difference for variables with a plist (~40 nanoseconds for each call 
> to setq without the patch, ~42 nanoseconds with the patch).

Thanks, this is much better.  But I think this still needs some
discussion (and one is already going on), so let's wait until it
reaches some conclusions.